1. Fetch jobs

List all fetch jobs

List all the available fetch jobs:

GET /api/fetchjobs

Parameters

parametertypedescription
stateStringThe state of the job. Possible values: Created, Pending, InProgress, Completed.
skipIntSee Ranging
takeIntSee Ranging

Response

ResponseDescription
200 OkReturns all the available fetch jobs

Response examples

Status: 200 Ok

{
  "items": [
    {
      "file_count": 1,
      "files_completed": 0,
      "files": {
        "href": "/api/fetchjobs/6168/files{?skip,take}",
        "title": "This job's files",
        "templated": true
      },
      "id": 6168,
      "owner": null,
      "state_description": "Job completed",
      "state": "Completed",
      "condition": "Success",
      "created_on": "2018-01-08T12:`17:04`.6327184Z",
      "created_by": {
        "href": "/entities/6",
        "title": "The user who created the entity"
      },
      "modified_on": "2018-01-08T12:`18:05`.8272868Z",
      "modified_by": {
        "href": "/entities/6",
        "title": "The user who last modified the entity"
      },
      "started_on": "2018-01-08T12:`18:01`.984101Z",
      "completed_on": "2018-01-08T12:`18:05`.8272868Z",
      "self": {
        "href": "/api/fetchjobs/6168",
        "title": "This fetch job"
      }
    },

    ...
  ],

  "total_items": 35,
  "returned_items": 25,

  "next": {
    "href": "/api/fetchjobs?skip=25",
    "title": "The next page in this collection"
  },
    "self": {
    "href": "/api/fetchjobs",
    "title": "This collection"
  }
}
If you have suggestions for improving this article, let us know!